summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Niels Horn <niels.horn@slackbuilds.org>2011-04-05 11:21:42 -0300
committer Robby Workman <rworkman@slackbuilds.org>2011-04-05 18:54:56 -0500
commitadbaa8e1da1f317b41a81365df63622fc5dbe537 (patch)
treeb60623f474507237a2c7eb42baa7c2a943057597 /system
parent0cace0fafa9eae74a4a10998d11cd6eb70cfe5f0 (diff)
downloadslackbuilds-adbaa8e1da1f317b41a81365df63622fc5dbe537.tar.gz
slackbuilds-adbaa8e1da1f317b41a81365df63622fc5dbe537.tar.xz
system/fsvs: Re-added/Updated for version 1.2.3 + Patched
This includes an ugly patch to work around a bug in gcc-4.5.2 until that is solved. Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/fsvs/README4
-rw-r--r--system/fsvs/fsvs.SlackBuild95
-rw-r--r--system/fsvs/fsvs.info10
-rw-r--r--system/fsvs/fsvs_gcc452.patch33
-rw-r--r--system/fsvs/slack-desc19
5 files changed, 161 insertions, 0 deletions
diff --git a/system/fsvs/README b/system/fsvs/README
new file mode 100644
index 0000000000..9a0c5255fd
--- /dev/null
+++ b/system/fsvs/README
@@ -0,0 +1,4 @@
+FSVS is a backup/restore/versioning/deployment tool for whole directory
+trees or filesystems, with a subversion repository as the backend. It
+can do overlays of multiple repositories, to achieve some content
+separation (base install, local modifications, etc.)
diff --git a/system/fsvs/fsvs.SlackBuild b/system/fsvs/fsvs.SlackBuild
new file mode 100644
index 0000000000..aced1d5ed1
--- /dev/null
+++ b/system/fsvs/fsvs.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for fsvs
+
+# Written by Joey Trungale <joey@trungale.net>
+
+PRGNAM=fsvs
+VERSION=${VERSION:-1.2.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Patch to avoid bug in gcc-4.5.2
+# -> this is _ugly_ but it works for now, until the bug in gcc is solved
+patch -p1 < $CWD/fsvs_gcc452.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make -C src
+
+mkdir -p $PKG/usr/bin
+cp -p src/fsvs $PKG/usr/bin
+strip --strip-unneeded $PKG/usr/bin/fsvs
+
+mkdir -p $PKG/etc/fsvs/svn/auth/svn.{simple,ssl.server,ssl.client-passphrase}
+mkdir -p $PKG/var/spool/fsvs
+
+mkdir -p $PKG/usr/man/man{1,5}
+cp -a doc/fsvs.1 $PKG/usr/man/man1
+cp -a doc/fsvs-*.5 $PKG/usr/man/man5
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES LICENSE README doc/PERFORMANCE doc/USAGE doc/FAQ \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+# We won't bother to include the examples - they're in the source anyway
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/fsvs/fsvs.info b/system/fsvs/fsvs.info
new file mode 100644
index 0000000000..a93b8e1fcd
--- /dev/null
+++ b/system/fsvs/fsvs.info
@@ -0,0 +1,10 @@
+PRGNAM="fsvs"
+VERSION="1.2.3"
+HOMEPAGE="http://fsvs.tigris.org"
+DOWNLOAD="http://download.fsvs-software.org/fsvs-1.2.3.tar.bz2"
+MD5SUM="1049b33d272a5242fc9b6068477e3913"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Joey Trungale"
+EMAIL="joey@trungale.net"
+APPROVED="rworkman"
diff --git a/system/fsvs/fsvs_gcc452.patch b/system/fsvs/fsvs_gcc452.patch
new file mode 100644
index 0000000000..f708c8afea
--- /dev/null
+++ b/system/fsvs/fsvs_gcc452.patch
@@ -0,0 +1,33 @@
+--- fsvs-1.2.3/src/helper.c 2010-02-16 08:20:50.000000000 -0200
++++ fsvs-1.2.3_patched/src/helper.c 2011-04-05 10:56:59.000000000 -0300
+@@ -1738,7 +1738,7 @@
+ {
+ static int last=0;
+ /* Sadly GCC doesn't statically solve sizeof(rev)*log(10)/log(2) ... */
+- static char buffers[2][(int)(sizeof(rev)*3.32)+3];
++ static char buffers[2][(int)(sizeof(rev)*4)+3];
+
+ last++;
+ if (last>= sizeof(buffers)/sizeof(buffers[0])) last=0;
+--- fsvs-1.2.3/src/options.c 2010-02-13 09:49:16.000000000 -0200
++++ fsvs-1.2.3_patched/src/options.c 2011-04-05 10:58:28.000000000 -0300
+@@ -740,7 +740,7 @@
+ * loop via \c getenv() over all options? */
+ char *opt__variable_from_option(enum opt__settings_e which)
+ {
+- static char buffer[ strlen(ENV_PREFIX) +
++ static char buffer[ 5 +
+ sizeof(opt__list[0].name) + 1] = ENV_PREFIX;
+ char * const target=buffer+strlen(ENV_PREFIX);
+ int i;
+--- fsvs-1.2.3/src/status.c 2010-02-13 15:56:59.000000000 -0200
++++ fsvs-1.2.3_patched/src/status.c 2011-04-05 10:59:00.000000000 -0300
+@@ -451,7 +451,7 @@
+ time_t now;
+ int print;
+ const int bar_chart_width=20;
+- static const char bar_chart[bar_chart_width+1]="###################>";
++ static const char bar_chart[20+1]="###################>";
+ float pct;
+
+
diff --git a/system/fsvs/slack-desc b/system/fsvs/slack-desc
new file mode 100644
index 0000000000..2787cf3454
--- /dev/null
+++ b/system/fsvs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fsvs: fsvs (versioning tool for filesystems)
+fsvs:
+fsvs: FSVS is a backup/restore/versioning/deployment tool for whole
+fsvs: directory trees or filesystems, with a subversion repository as the
+fsvs: backend. It can do overlays of multiple repositories, to achieve
+fsvs: some content separation (base install, local modifications, etc.)
+fsvs: FSVS is pronounced "fisvis", and is an abbreviation for "Fast System
+fsvs: VerSioning".
+fsvs:
+fsvs: http://fsvs.tigris.org
+fsvs: